<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_Credits extends Controller_Handler
{
    public function before() {
        parent::before();

        $this->user->checkAccess(User::RIGHTS_DEAN);

        // make it possible to download files
        Cookie::set('fD', 'true');
    }

    public function action_getMilestone() {
        $milestone = $this->user->Faculty->getMilestone();
        $this->response->body($milestone);
    }

    public function action_getInfo() {
        $id = (int) $_POST['ID'];
        $info = Model_Discipline::load($id);
        $info['Teachers'] = $info->getTeachers()->as_array();
        $this->response->body(json_encode($info));
    }

    public function action_setCreditMilestone() {
        list($id, $stage) = explode(":", $this->request->param("id"));
        Model_Discipline::load($id)->setMilestone($stage);
        $this->response->body('');
    }

    public function action_setMilestone() {
        $stage = (int) $this->request->param("param1");
        $this->user->Faculty->setMilestoneForCredits($stage);
        $this->response->body('');
    }
}