<?php

class Controller_Api_V0_Department extends Controller_Handler_Api
{
    /**
     * @api {get} api/v0/department/idByName Map dep. name to dep. ID
     * @apiName Get department id
     * @apiGroup Department
     * @apiVersion 0.1.0
     * @apiParam {String} token Api key
     * @apiParam {String} name Department name
     */
    public function action_get_idByName() {
        $name = $this->request->query('name');

        try {
            $id = Model_Faculties::getDepartmentIdByName($name);
        }
        catch (InvalidArgumentException $e) {
            $this->notFoundError($e->getMessage());
        }

        return $id;
    }

}
