<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Window extends Controller
{
    private $user;

    public function before() {
        $this->user = User::instance();
    }

    public function action_get() {
        $path = UTF8::str_ireplace(':', '/', $this->request->param('id'));

        if (!Kohana::find_file('views/popup', $path, 'twig'))
            throw HTTP_Exception::factory(404, "Искомый шаблон $path не найден");

        $twig = Twig::factory('popup/' . $path)
            ->set('User', $this->user);

        // title, width, top, content
        $this->response->body(json_encode(explode('||', $twig->render())));
    }
}
